.TH "Factory" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Factory \- creates threading manager according to ThreadingPolicy  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <ThreadManagerBase\&.h>\fP
.SH "Detailed Description"
.PP 
creates threading manager according to ThreadingPolicy 


.PP
\fBParameters\fP
.RS 4
\fIpolicy\fP specification of type of threading manager to be created 
.br
\fIdata\fP configuration data to be moved to created threading manager
.RE
.PP
\fBReturns\fP
.RS 4
threading manager or throws an exception 
.RE
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
